import React, { useState } from 'react';
import styled from 'styled-components';

function _taggedTemplateLiteralLoose(strings, raw) {
  if (!raw) {
    raw = strings.slice(0);
  }

  strings.raw = raw;
  return strings;
}

var _templateObject, _templateObject2, _templateObject3;
var CheckBoxWrapper = styled.div(_templateObject || (_templateObject = _taggedTemplateLiteralLoose(["\n  align-items: center;  \n  border-radius: 100px;\n  display: flex;\n  font-weight: 700;\n  margin-bottom: 16px;\n  &:last-of-type {\n    margin: 0;\n  }\n"])));
var CheckBoxLabel = styled.label(_templateObject2 || (_templateObject2 = _taggedTemplateLiteralLoose(["\n  position: absolute;\n  width: ", ";\n  height: ", ";\n  border-radius: 150px;\n  background: ", ";\n  cursor: pointer;\n  border: 2px solid ", ";\n  &::after {\n    content: \"\";\n    display: block;\n    border-radius: 50%;\n    width: ", ";\n    height: ", ";\n    margin : 1px;\n    background: #ffffff;\n    transition: 0.2s;\n  }\n"])), function (props) {
  return props.sizeTag === "L" ? "50px" : props.sizeTag === "M" ? "40px" : props.sizeTag === "X" ? "25px" : "60px";
}, function (props) {
  return props.sizeTag === "L" ? "21px" : props.sizeTag === "M" ? "17px" : props.sizeTag === "X" ? "12px" : "23px";
}, function (props) {
  return props.variantTag;
}, function (props) {
  return props.variantTag;
}, function (props) {
  return props.sizeTag === "L" ? "20px" : props.sizeTag === "M" ? "15px" : props.sizeTag === "X" ? "10px" : "20px";
}, function (props) {
  return props.sizeTag === "L" ? "20px" : props.sizeTag === "M" ? "15px" : props.sizeTag === "X" ? "10px" : "20px";
});
var CheckBox = styled.input(_templateObject3 || (_templateObject3 = _taggedTemplateLiteralLoose(["\n  opacity: 0;\n  z-index: 1;\n  border-radius: 15px;\n  width: ", ";\n  height: ", ";\n  cursor: pointer;\n  &:checked + ", " {\n    background: ", ";\n    &::after {\n      content: \"\";\n      display: block;\n      border-radius: 50%;\n      width: ", ";\n      height: ", ";\n      margin-left: ", ";\n      transition: 0.2s;\n    }\n  }\n"])), function (props) {
  return props.sizeTag === "L" ? "50px" : props.sizeTag === "M" ? "40px" : props.sizeTag === "X" ? "25px" : "60px";
}, function (props) {
  return props.sizeTag === "L" ? "21px" : props.sizeTag === "M" ? "17px" : props.sizeTag === "X" ? "12px" : "23px";
}, CheckBoxLabel, function (props) {
  return props.variantTag;
}, function (props) {
  return props.sizeTag === "L" ? "20px" : props.sizeTag === "M" ? "15px" : props.sizeTag === "X" ? "10px" : "20px";
}, function (props) {
  return props.sizeTag === "L" ? "20px" : props.sizeTag === "M" ? "15px" : props.sizeTag === "X" ? "10px" : "20px";
}, function (props) {
  return props.sizeTag === "L" ? "28px" : function (props) {
    return props.sizeTag === "M" ? "22px" : props.sizeTag === "X" ? "12px" : "36px";
  };
});

var Toggle = function Toggle(_ref) {
  var isDisable = _ref.isDisable,
      onchange = _ref.onchange,
      value = _ref.value,
      variant = _ref.variant,
      size = _ref.size;

  var _useState = useState(value),
      isChecked = _useState[0],
      setIsChecked = _useState[1];

  var variantTag = variant === "Primary" ? "#007bff" : variant === "Success" ? "#28a745" : variant === "Danger" ? "#dc3545" : "#9e9e9e";

  var handleChange = function handleChange(e) {
    if (!isDisable) {
      setIsChecked(e.target.checked);
      onchange(e.target.checked);
    }
  };

  return /*#__PURE__*/React.createElement(CheckBoxWrapper, null, /*#__PURE__*/React.createElement(CheckBox, {
    id: "checkbox",
    type: "checkbox",
    checked: isChecked,
    onChange: function onChange(e) {
      return handleChange(e);
    },
    disabled: isDisable,
    variantTag: variantTag,
    sizeTag: size
  }), /*#__PURE__*/React.createElement(CheckBoxLabel, {
    htmlFor: "checkbox",
    variantTag: variantTag,
    sizeTag: size
  }));
};

export { Toggle };
//# sourceMappingURL=index.modern.js.map
